Java$writeShort {R.utils} | R Documentation

## Writes a short (16 bits) to a connection in Java format

### Description

Writes one or several short's (16 bits) to a connection in Java format so they will be readable by Java. All data types in Java are signed, i.e. a byte can hold a value in the range [-32768,32767]. Trying to write a value outside this range will automatically be truncated without a warning.

### Usage

    ## Static method (use this):
    ## Java$writeShort(con, s, ...)

    ## Don't use the below:
    ## S3 method for class 'Java'
    writeShort(static, con, s, ...)

### Arguments

`con` | Binary connection to be written to.
`s` | Vector of shorts to be written.

### Author(s)

Henrik Bengtsson

### See Also

For more information see `Java`.

[Package R.utils version 2.5.0 Index]